<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
</body>
<script>
    // Nối mảng
    var arr1 = [1, 2, 3];
    var arr2 = [4, 5, 6];
    arr3 = [...arr1, ...arr2];
    console.log(arr3); // [1, 2, 3, 4, 5, 6]

    // Gộp với giá trị khác 
    var numbers = [1, 2, 3];
    result = ["Car", ...numbers, "Motobike"];
    console.log(result); // ['Car', 1, 2, 3, 'Motobike']

    // Copy object
    var obj_1 = { name: 'ECMAScript' };
    var cloned_obj = {...obj_1};
    console.log(cloned_obj); // {name: 'ECMAScript'}

    // Gộp object
    var obj1 = { name: 'ECMAScript' };
    var obj2 = { year: 2015 };
    var cloned_obj1 = {...obj1, ...obj2};
    console.log(cloned_obj1); // {name: 'ECMAScript', year: 2015}

    // Sử dụng Spread Operator với hàm
    function myFn(param_1, param_2, param_3) {
    }
    var args = [1, 2, 3];
    myFn(...args);

    function myFn1(param_1, param_2, param_3, param_4, param_5) {
    }
    var args1 = [1, 2, 3];
    myFn1(1, ...args1, 5);
</script>
</html>